For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
        • GETList Items
        • GETGet Item
        • POSTCreate Items
        • PATCHUpdate Items
        • DELDelete Items
        • POSTPublish Items
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
CMSCollection ItemsStaged Items

List Items

GET
https://api.webflow.com/v2/collections/:collection_id/items
GET
/v2/collections/:collection_id/items
$curl -G https://api.webflow.com/v2/collections/580e63fc8c9a982ac9b8b745/items \
> -H "Authorization: Bearer <token>" \
> -d offset=0 \
> -d limit=100
1{
2 "items": [
3 {
4 "id": "62b720ef280c7a7a3be8cabe",
5 "lastPublished": "2022-06-30T13:35:20.878Z",
6 "lastUpdated": "2022-06-25T14:51:27.809Z",
7 "createdOn": "2022-06-25T14:51:27.809Z",
8 "fieldData": {
9 "name": "Senior Data Analyst",
10 "slug": "senior-data-analyst",
11 "url": "https://boards.greenhouse.io/webflow/jobs/26567701",
12 "department": "Data"
13 },
14 "cmsLocaleId": "66f6e966c9e1dc700a857ca3",
15 "isArchived": false,
16 "isDraft": false
17 },
18 {
19 "id": "62c880ef281c7b7b4cf9dabc",
20 "lastPublished": "2023-04-15T10:25:18.123Z",
21 "lastUpdated": "2023-04-10T11:45:30.567Z",
22 "createdOn": "2023-04-10T11:45:30.567Z",
23 "fieldData": {
24 "name": "Product Manager",
25 "slug": "product-manager",
26 "url": "https://boards.greenhouse.io/webflow/jobs/31234567",
27 "department": "Product"
28 },
29 "cmsLocaleId": "66f6e966c9e1dc700a857ca3",
30 "isArchived": false,
31 "isDraft": false
32 }
33 ],
34 "pagination": {
35 "limit": 25,
36 "offset": 0,
37 "total": 2
38 }
39}

List of all Items within a Collection.

Required scope | CMS:read

Was this page helpful?
Previous

Get Item

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "objectid"
Unique identifier for a Collection

Query parameters

cmsLocaleIdstringOptional

Unique identifier for a CMS Locale. This UID is different from the Site locale identifier and is listed as cmsLocaleId in the Sites response. To query multiple locales, input a comma separated string.

offsetintegerOptional
Offset used for pagination if the results have more than limit records
limitintegerOptional

Maximum number of records to be returned (max limit: 100)

namestringOptional

Filter by the exact name of the item(s)

slugstringOptional
Filter by the exact slug of the item
createdOnobjectOptional

Filter by the creation date of the item(s)

lastPublishedobjectOptional

Filter by the last published date of the item(s)

lastUpdatedobjectOptional

Filter by the last updated date of the item(s)

sortByenumOptional
Sort results by the provided value
Allowed values:
sortOrderenumOptional
Sorts the results by asc or desc
Allowed values:

Response

Request was successful
itemslist of objects
List of Items within the collection
paginationobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error